- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeAngle Class Reference
[Ipe Geometry]

A double that's an angle. More...

List of all members.

## Public Member Functions

- IpeAngle ()
- IpeAngle (double alpha)
- operator double () const
- double Degrees () const
- IpeAngle Normalize (double lowlimit)
- bool LiesBetween (IpeAngle small, IpeAngle large) const

## Static Public Member Functions

- static IpeAngle Degrees (double alpha)

## Detailed Description

A double that's an angle.

An IpeAngle is really nothing more than a double. Having a separate type is sometimes useful, for instance in the IpeVector constructor, and this class serves as the right place for a few utility functions. It also makes it clear whether a value is in radians or in degrees.

## Constructor & Destructor Documentation

IpeAngle::IpeAngle | ( |  | ) | `[inline, explicit]`

Construct uninitialized angle.

IpeAngle::IpeAngle | ( | double | alpha | ) | `[inline]`

Construct an angle (in radians).

## Member Function Documentation

static IpeAngle IpeAngle::Degrees | ( | double | alpha | ) | `[inline, static]`

Construct an angle in degrees.

IpeAngle::operator double | ( |  | ) | const`[inline]`

Return value (in radians).

IpeAngle IpeAngle::Normalize | ( | double | lowlimit | ) |

Normalize the value to the range lowlimit .. lowlimit + 2 pi.

This IpeAngle object is modified, a copy is returned.

bool IpeAngle::LiesBetween | ( | IpeAngle | small,
|  | IpeAngle | large |
| ) |  |  | const

When considering the positively oriented circle arc from angle small to large, does it cover this angle?

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp